Name:           ocaml-fieldslib
Version:        107.01
Release:        %mkrel 1
Summary:        Folding over record fields
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/Other
URL:            https://ocaml.janestreet.com/?q=node/13
Source0:        http://www.janestreet.com/ocaml/fieldslib-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv
BuildRequires:  camlp4

%description
This library defines a syntax extension for OCaml using Camlp4 that
can be used to define first class values representing record fields,
and additional routines, to get and set record fields, iterate and
fold over all fields of a record and create new record values.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n fieldslib-%{version}

%build
./configure --docdir %{buildroot}%{_datadir}/doc/
make
make doc
mv fieldslib.docdir doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/fieldslib
make install
rm -rf %{buildroot}%{_datadir}/doc/

%files
%doc COPYRIGHT INSTALL LICENSE README
%dir %{_libdir}/ocaml/fieldslib/
%{_libdir}/ocaml/fieldslib/META
%{_libdir}/ocaml/fieldslib/*.cma
%{_libdir}/ocaml/fieldslib/*.cmi

%files devel
%doc doc/
%doc sample/
%{_libdir}/ocaml/fieldslib/*.a
%{_libdir}/ocaml/fieldslib/*.cmxa
%{_libdir}/ocaml/fieldslib/*.mli


%changelog

* Fri Mar 23 2012 blue_prawn <blue_prawn> 107.01-1.mga2
+ Revision: 225937
- BuildRequires
- imported package ocaml-fieldslib

